My contributions is not bold when on page
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz4764
Description

Author: ezyang

Description:
Log into a Wikimedia project and click My watchlist. Note how it is bold. Now
click on My contributions.

Expected result: My contributions is bold
Actual result: My contributions is not bold

Reproducible: Always

Related link:
http://en.wikipedia.org/wiki/Wikipedia:Administrators%27_noticeboard#The_.22my_contributions.22__link
which lead me to file the bug. It's really trivial though.


Version: 1.6.x
Severity: trivial
URL: http://en.wikipedia.org/wiki/Special:Contributions/Username

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 9:04 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4764.
bzimport created this task.Via LegacyJan 26 2006, 10:15 PM
brion added a comment.Via ConduitJan 27 2006, 12:17 AM

This seems to be explicitly disabled at the moment in SkinTemplate.php:

FIXME # 'active' => ( $href == $pageurl . '/' . $this->username )

If just uncommented it would fail on usernames with spaces, special chars, etc,
and also on subsequent views with extra parameters because of how the target
gets passed differently.

bzimport added a comment.Via ConduitJan 27 2006, 12:29 AM

ezyang wrote:

Use the Title object. Seems trivial to fix... something like

$contributions_title =& Title::makeTitle(NS_SPECIAL, 'Contributions/' .
$this->username);
$contributions_url = $user->escapeLocalURL();

bzimport added a comment.Via ConduitJan 27 2006, 12:31 AM

ezyang wrote:

Above fix wouldn't fix the problem on "subsequent views with extra parameters"
though. It's a half-step towards the solution. Somehow, the skin would have to
know that: one, the current page was Special:Contributions and two, the current
page's target was the current username.

bzimport added a comment.Via ConduitFeb 19 2006, 9:38 AM

gangleri wrote:

(In reply to comment #3)

... It's a half-step towards the solution. ...

Hallo!

Maybe a "half-step towards the solution" is better then actual behaviour.
[[Special:Recentchangeslinked/Main_Page]] does not have this problem. It shoes
2468 watched items both in wiki syntax and with special parameters.

Marking as 'depends on':
Bug 2468: The code that generates the namespace form for Special:Contributions,
Special:Allpages and Special:Recentchanges should be merged

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitFeb 19 2006, 10:00 AM

gangleri wrote:

(In reply to comment #4)

... It shoes
2468 watched items both in wiki syntax and with special parameters.

please read
It shoes *bold* watched items both in wiki syntax and with special parameters.

Sorry wrong "copy and paste".

brion added a comment.Via ConduitFeb 21 2006, 3:20 AM

Remove bogus dependency. Please stop spreading this crap all over the place.

bzimport added a comment.Via ConduitOct 14 2006, 4:19 AM

Jason_quinn wrote:

I first noticed this bug. It hadn't been commented on in a while. It seems like
it should be simple to fix. I also noticed that MediaWiki itself doesn't do the
whole bold highlighting thing. Shouldn't it?

bzimport added a comment.Via ConduitJan 27 2007, 6:13 PM

robchur wrote:

*** Bug 8794 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitMar 21 2007, 9:45 AM

nickpj wrote:

*** Bug 9359 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitApr 2 2007, 6:28 AM

robchur wrote:

Fixed in r20902.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.